/*******************************************************************
* debugpackageinstaller.cpp
* Copyright  2009    Dario Andres Rodriguez <andresbajotierra@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
******************************************************************/

#include "susedebugpackageinstaller.h"

#include <klocale.h>
#include <qdebug.h>
#include <qwidget.h>

#include "ksuseinstall.h"

SUSEDebugPackageInstaller::SUSEDebugPackageInstaller(QWidget *parent)
    : QObject(parent)
{
}

bool SUSEDebugPackageInstaller::canInstallDebugPackages() const
{
    return KSUSEInstall::canInstallDebuginfo();
}

void SUSEDebugPackageInstaller::setMissingLibraries(const QStringList & libraries)
{
    m_missingLibraries = libraries;
}

void SUSEDebugPackageInstaller::installDebugPackages()
{
    Q_ASSERT(canInstallDebugPackages());
    qDebug() << "MISSING:" << m_missingLibraries;
    if( KSUSEInstall::installDebuginfo( m_missingLibraries, static_cast< QWidget* >( parent())))
        emit packagesInstalled();
    else
        emit error(i18nc("@info", "Could not find debug symbol packages for this application."));
}
